## com.gargoylesoftware.htmlunit.util
Class WebConnectionWrapper

    java.lang.Object
      com.gargoylesoftware.htmlunit.util.WebConnectionWrapper

All Implemented Interfaces:
  WebConnection

Direct Known Subclasses:
  DebuggingWebConnection, FalsifyingWebConnection

    public class WebConnectionWrapper

extends java.lang.Object
implements WebConnection

Provides a convenient implementation of the `WebConnection` interface that can be subclassed by developers wishing to adapt a particular WebConnection.

This class implements the Wrapper or Decorator pattern. Methods default to calling through to the wrapped web connection object.

Version:
  $Revision: 4002 $
Author:
  Marc Guillemot

Constructor Summary
`WebConnectionWrapper(WebClient webClient)` Constructs a WebConnection object wrapping the connection of the WebClient and places itself as connection of the WebClient.
`WebConnectionWrapper(WebConnection webConnection)` Constructs a WebConnection object wrapping provided WebConnection.

Method Summary
`WebResponse` `getResponse(WebRequestSettings settings)` Submits a request and retrieves a response.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WebConnectionWrapper

    public WebConnectionWrapper(WebConnection webConnection)
                         throws java.lang.IllegalArgumentException

  Constructs a WebConnection object wrapping provided WebConnection.

  Parameters:
    `webConnection` - the webConnection that does the real work
  Throws:
    `java.lang.IllegalArgumentException` - if the connection is `null`

### WebConnectionWrapper

    public WebConnectionWrapper(WebClient webClient)
                         throws java.lang.IllegalArgumentException

  Constructs a WebConnection object wrapping the connection of the WebClient and places itself as connection of the WebClient.

  Parameters:
    `webClient` - the WebClient which WebConnection should be wrapped
  Throws:
    `java.lang.IllegalArgumentException` - if the WebClient is `null`

Method Detail

### getResponse

    public WebResponse getResponse(WebRequestSettings settings)
                            throws java.io.IOException

  Submits a request and retrieves a response. The default behavior of this method is to return getResponse() on the wrapped connection object.

  Specified by:
    `getResponse` in interface `WebConnection`
  Parameters:
    `settings` - Settings to make the request with
  Returns:
    the response to the request defined by the specified request settings
  Throws:
    `java.io.IOException` - if an IO error occurs

Copyright © 2002-2011 Gargoyle Software Inc.. All Rights Reserved.